Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.preview_new_graphdraw.impl.crooked
Class CrookedSpringLayout.CrookedSpringEdge

    java.lang.Object
      samples.preview_new_graphdraw.VisEdge
          samples.preview_new_graphdraw.iterablelayouts.SpringLayout.SpringEdge
              samples.preview_new_graphdraw.impl.crooked.CrookedSpringLayout.CrookedSpringEdge

Enclosing class:
  CrookedSpringLayout

protected static class CrookedSpringLayout.CrookedSpringEdge
extends SpringLayout.SpringEdge

Field Summary

Fields inherited from class samples.preview_new_graphdraw.iterablelayouts.SpringLayout.SpringEdge
`f`

Fields inherited from class samples.preview_new_graphdraw.VisEdge
`mBack, mEdge, mFront`

Constructor Summary
`CrookedSpringLayout.CrookedSpringEdge(Edge ve, VisVertex front, VisVertex back)`

Method Summary
`Coordinates` | `calcMidpoint()`
`VisEdge` | `copy(VisVertex front, VisVertex back)` Creates a new `VisEdge` from the specified `VisVertex` instances and this instance's `Edge`.
`double` | `getSquareDistance(double x, double y)` Returns the squared distance from this edge to the point `(x,y)`.

Methods inherited from class samples.preview_new_graphdraw.VisEdge
`getBack, getEdge, getFront`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrookedSpringLayout.CrookedSpringEdge

    public CrookedSpringLayout.CrookedSpringEdge(Edge ve,
                                                 VisVertex front,
                                                 VisVertex back)

Method Detail

### copy

    public VisEdge copy(VisVertex front,
                        VisVertex back)

  Description copied from class: `VisEdge`
  Creates a new `VisEdge` from the specified `VisVertex` instances and this instance's `Edge`.

  Overrides:
    `copy` in class `VisEdge`

### calcMidpoint

    public Coordinates calcMidpoint()

### getSquareDistance

    public double getSquareDistance(double x,
                                    double y)

  Description copied from class: `VisEdge`
  Returns the squared distance from this edge to the point `(x,y)`. The default implementation takes care of a distance from a straight edge to a point; more complex edges should have corresponding functions.

  Overrides:
    `getSquareDistance` in class `VisEdge`
  See Also:
    `VisEdge.getSquareDistance(double, double)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD